/* ------------------
- Defaults
-------------------	*/

body {
	margin: 0;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	overflow-x: hidden;
	font-family: var(--e-global-typography-text-font-family), Sans-serif;
}
h1, h2, h3, h4, h5, h6, p {
	margin-top: 0;
}
a {
	color: inherit;
}
strong {
	font-weight: 600;	
}

/* ------------------
- Elementor Helpers
-------------------	*/

.elementor-widget-text-editor p:last-child {
	margin-bottom: 0;
}

.elementor-widget-text-editor ul {
	padding-left: 18px;
}



.elementor-widget-button.outline .elementor-button {
    position: relative;
    overflow: hidden;
	display: block;
}
.elementor-widget-button.outline .elementor-button:before {
	content: '';
    background-color: #fff;
    width: 100%;
    height: 0;
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 0;
	transition: 0.5s;
}
.elementor-widget-button.outline.green .elementor-button:before {
	background-color: var( --e-global-color-accent );
}
.elementor-widget-button.outline .elementor-button .elementor-button-content-wrapper {
	position: relative;
    z-index: 1;
}
.elementor-widget-button.outline .elementor-button:hover:before {
	height: 100%;
}




.elementor-field-subgroup.elementor-subgroup-inline .elementor-field-option {
    width: 50%;
}
.elementor-field-subgroup label {
    font-size: 14px !important;
}

/* Checkbox */
.elementor-field-option {
	display: flex;
	align-items: center;
	gap: 10px;
}

/* Checkbox */
.elementor-field-option input[type="checkbox"] {
	appearance: none;
	-webkit-appearance: none;
	    position: relative;
	width: 20px;
	height: 20px;

	margin: 0;
	padding: 0;

	background-color: rgba(255, 255, 255, 0.06);
	border: 1px solid rgba(255, 255, 255, 0.14);
	border-radius: 3px;

	display: grid;
	place-content: center;

	cursor: pointer;
	flex-shrink: 0;

	transition:
		background-color 0.2s ease,
		border-color 0.2s ease;
}
.elementor-field-option input[type="checkbox"]::before {
	content: "";
    opacity: 0;
    background-color: #fff;
    width: 14px;
    height: 14px;
    position: absolute;
    border-radius: 1px;
    top: 2px;
    left: 2px;
}
.elementor-field-option input[type="checkbox"]:checked {
	background-color: rgba(255, 255, 255, 0.14);
	border-color: rgba(255, 255, 255, 0.3);
}
.elementor-field-option input[type="checkbox"]:checked::before {
	opacity: 1;
}
.elementor-field-option label {
	margin: 0;
	padding: 0;
	font-size: 14px;
	color: #fff;
	line-height: 1.3;
	cursor: pointer;
}

@media screen and (max-width: 768px) {
	.elementor-field-subgroup.elementor-subgroup-inline .elementor-field-option {
        width: 100%;
    }
}




/* =========================================
   LOCATION MENU
========================================= */

.location-menu,
.location-menu ul {
	margin: 0;
	padding: 0;
	list-style: none;
	color: #fff;
}
.location-menu > li {
	margin: 2px 0;
}
.location-menu > li > .menu-toggle {
	display: flex;
	align-items: center;
	justify-content: space-between;
	width: 100%;
	cursor: pointer;
}
.location-menu > li > .menu-toggle > span {
	font-family: var(--e-global-typography-774a281-font-family), Sans-serif;
    font-size: var(--e-global-typography-774a281-font-size);
    font-weight: var(--e-global-typography-774a281-font-weight);
    text-transform: var(--e-global-typography-774a281-text-transform);
    letter-spacing: var(--e-global-typography-774a281-letter-spacing);
	color: #636260;
}
.location-menu > li > .menu-toggle svg {
	width: 12px;
	height: 12px;
	flex: 0 0 16px;
	fill: currentColor;
	transition: transform 0.3s ease;
}
.location-menu > li > .menu-toggle svg path {
	fill: #7EFF04;
}
.location-menu > li.is-open > .menu-toggle span {
	color: #22FF44;
}
.location-menu > li > ul {
	display: block !important;
	max-height: 0 !important;
	overflow: hidden !important;
	padding-left: 0;
	opacity: 0;
	transition:
		max-height 0.4s ease,
		opacity 0.3s ease,
		padding-bottom 0.4s ease;
}
.location-menu > li.is-open > ul {
	max-height: 1000px !important;
	opacity: 1;
	margin: 7px 0;
}
.location-menu > li > ul > li {
	font-family: var(--e-global-typography-774a281-font-family), Sans-serif;
    font-size: var(--e-global-typography-774a281-font-size);
    font-weight: var(--e-global-typography-774a281-font-weight);
    text-transform: var(--e-global-typography-774a281-text-transform);
    letter-spacing: var(--e-global-typography-774a281-letter-spacing);
	color: #636260;
}


